<?php
// Sécurité
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Permettre d'utiliser la syntaxe
 * ```
 * <condition si="<afficher_si>">
 * partie en affichage conditionnelle
 * </condition>
 * ```
**/
function formidable_retour_etendu_formidable_pre_raccourcis_arobases(array $flux): array {
	include_spip('inc/saisies');
	$data = &$flux['data'];
	$regexp = '#<condition(\s*)'
		.'si=(?<guillemet>"|\')'
		.'(?<condition>.*?)'
		.'(\k<guillemet>)>'
		.'(.*)'
		.'</condition>'
		.'#Us';
	// Vérifier si les conditions sont remplis
	if (preg_match_all($regexp, $data, $matches, PREG_SET_ORDER)) {
		foreach ($matches as $m) {
			if (!saisies_evaluer_afficher_si($m['condition'])) {
				$data = str_replace($m[0], '', $data);
			} else {
				$remplace = trim($m[5]);
				$remplace = trim($remplace, _AUTOBR);
				$data = str_replace($m[0], $remplace, $data);
			}
		}
	};

	// Nettoyage
	$data = str_replace('<p></p>', '', $data);

	return $flux;
}

